## org.eclipse.datatools.sqltools.parsers.sql.xml.query
Class SQLXMLQueryParserManager

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.SQLParserManager
          org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserManager
              org.eclipse.datatools.sqltools.parsers.sql.xml.query.SQLXMLQueryParserManager

    public class SQLXMLQueryParserManager

extends SQLQueryParserManager

Author:
  ckadner

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserManager
`DEFAULT_POST_PARSE_PROCESSOR_LIST`

Fields inherited from class org.eclipse.datatools.sqltools.parsers.sql.SQLParserManager
`astElementCount, byteCount, debugPerformance, ERROR_DIAGNOSING_NONE, ERROR_DIAGNOSING_NUMBER_MAX_DEFAULT, ERROR_DIAGNOSING_TIME_MAX_DEFAULT, ERROR_DIAGNOSING_UNLIMITED, PRINTER, statementCount, timeCount`

Constructor Summary
`SQLXMLQueryParserManager()`
`SQLXMLQueryParserManager(SQLQuerySourceFormat sourceFormat, java.util.List postParseProcessors)`

Method Summary
`SQLParserFactory` `createParserFactory()` Returns this `SQLXMLQueryParserManager`'s `SQLXMLQueryParserFactory`.

Methods inherited from class org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserManager
`checkSyntaxQuery, checkSyntaxQueryScript, copyDefaultPostParseProcessorList, getDefaultPostParseProcessorList, getInstance, getParserFactory, parseControlStatement, parseQuery, parseQueryScript, setParserFactory, setSourceFormat`

Methods inherited from class org.eclipse.datatools.sqltools.parsers.sql.SQLParserManager
`checkSyntax, checkSyntaxScript, configParser, configPostParseProcessors, getErrorDiagnosingNumberMax, getErrorDiagnosingTimeMax, getPostParseProcessors, getSourceFormat, parse, parseScript, printAST, printAST, printErrorList, printParseRuntimeException, printSQL, setErrorDiagnosingNumberMax, setErrorDiagnosingTimeMax, setPostParseProcessors`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLXMLQueryParserManager

    public SQLXMLQueryParserManager()

### SQLXMLQueryParserManager

    public SQLXMLQueryParserManager(SQLQuerySourceFormat sourceFormat,
                                    java.util.List postParseProcessors)

Parameters:
  `sourceFormat` -
  `postParseProcessors` -

Method Detail

### createParserFactory

    public SQLParserFactory createParserFactory()

  Returns this `SQLXMLQueryParserManager`'s `SQLXMLQueryParserFactory`. If this `SQLXMLQueryParserManager`'s `parserFactory` is `null`, a new `SQLXMLQueryParserFactory` will be created for this `SQLXMLQueryParserManager` and returned. That is, this method never returns `null`!

  Returns:
    `SQLXMLQueryParserFactory`